Skip to main content
POST
/
organizations
/
{orgId}
/
devices
/
{deviceId}
/
command
curl --request POST \ --url https://managexrapi.com/organizations/{orgId}/devices/{deviceId}/command \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "action": "SYNC" } '

Authorizations

Authorization
string
header
required

API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET

  • Username: The API Key ID.
  • Password: The API Key Secret.

Path Parameters

orgId
string
required

The ID of the organization. Locate the orgId under Organization Settings > API Keys.

deviceId
string
required

The ID (serial number) of the device.

Body

application/json
action
enum<string>

Launch an application on the device.

Available options:
LAUNCH_APP
Example:

"LAUNCH_APP"

data
object

Response

200

Success